use super::Cartesian;

#[derive(Debug, Clone, Copy)]
pub struct Polar {
	pub center: Cartesian,
	pub radius: f64,
	pub angle: f64,
}

impl Into<Cartesian> for Polar {
	fn into(self) -> Cartesian {
		return Cartesian::new(
			self.radius * self.angle.sin(),
			self.radius * self.angle.cos(),
		) + self.center;
	}
}
